# Interface methods for submodule: InvertIntensityImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: InvertIntensityImageFilter
class InvertIntensityImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def SetMaximum(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMaximum(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMaximum(self) -> float:
		""""""
		...

	@overload
	def GetMaximum(self) -> int:
		""""""
		...

	def BeforeThreadedGenerateData(self) -> None:
		""""""
		...

